## lessertunjo 0.0.10-3

=== Makefile ===
CC = gcc -Wall -O2
LDFLAGS = `pkg-config glib-2.0 --cflags --libs` `pkg-config gconf-2.0 --cflags --libs` `pkg-config dbus-1 --cflags --libs` -losso
VERSION = 0.0.10

all:
	$(CC) -shared -fPIC -Wl,-soname=libshadowappd.so.0 -o libshadowappd.so.$(VERSION) sappd_init.c sappd_callbacks.c sappd_spawn.c $(LDFLAGS)
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so.0.0
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so.0
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so
	$(CC) -shared -fPIC -Wl,-soname=libshadowapp.so.0 -o libshadowapp.so.$(VERSION) sapp_init.c sapp_setcb.c sapp_main.c sapp_gconf.c
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so.0.0
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so.0
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so

clean: 
	rm libshadowappd.so*
	rm libshadowapp.so*

install:
	@echo installing files...
	@install -d -m755 $(DESTDIR)/usr/include
	@install -d -m755 $(DESTDIR)/usr/lib
	@install -m644 shadowapp.h $(DESTDIR)/usr/include/
	@install -m644 shadowappd.h $(DESTDIR)/usr/include/
	@install -m755 libshadowapp.so.$(VERSION) $(DESTDIR)/usr/lib/
	@install -m755 libshadowappd.so.$(VERSION) $(DESTDIR)/usr/lib/
	@echo softlinking shared object...
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so.0.0
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so.0
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so.0.0
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so.0
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so

=== debian/changelog ===
lessertunjo (0.0.10-3) unstable; urgency=low

  * removed debug logging
  * modified copyright file for publishing the package

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 11 May 2005 16:25:13 +0300

lessertunjo (0.0.10-2) unstable; urgency=low

  * now wrapper quits if trying to reset when state is inactive

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 19 Apr 2005 11:53:05 +0200

lessertunjo (0.0.10-1) unstable; urgency=low

  * fixed bug #6746
  * if the game is paused and going to be reseted, wrapper will force-kill it
    after two seconds
  * modified header commenting

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 04 Apr 2005 14:36:00 +0200

lessertunjo (0.0.9-1) unstable; urgency=high

  * added respondance to signals
  * following new specification

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 07 Mar 2005 15:50:00 +0200

lessertunjo (0.0.8-1) unstable; urgency=medium

  * removed useless GTK+ dependency
  * added support for variable GMainContext

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 10 Feb 2005 15:00:00 +0200

lessertunjo (0.0.7-1) unstable; urgency=high

  * removed useless 0.0.6 branch
  * initialization priority lowered
  * added wrapper-functions for getting boolean from gconf
  * fixed D-BUS message handling
  * fixed support for reset functionality

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 09 Feb 2005 17:00:00 +0200

lessertunjo (0.0.5-1) unstable; urgency=low

  * changed D-BUS messages
  * added support for reset functionality

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 12 Jan 2005 13:37:00 +0200

lessertunjo (0.0.4-6) unstable; urgency=low

  * added missing gconf dependendy

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 04 Nov 2004 12:27:00 +0200

lessertunjo (0.0.4-5) unstable; urgency=low

  * fixed package warnings

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 26 Oct 2004 13:37:00 +0200

lessertunjo (0.0.4-4) unstable; urgency=low

  * replaced hildon dependency with gtk dependency

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 25 Oct 2004 10:40:00 +0200

lessertunjo (0.0.4-3) unstable; urgency=low

  * Corrected copyright information

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 25 Oct 2004 10:30:00 +0200

lessertunjo (0.0.4-2) unstable; urgency=low

  * Fixed conflicting with libshadowapp

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 19 Oct 2004 13:37:00 +0200

lessertunjo (0.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 18 Oct 2004 10:47:22 +0300

## lessertunjo 0.0.11-5b

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = gcc -Wall -O2
 LDFLAGS = `pkg-config glib-2.0 --cflags --libs` `pkg-config gconf-2.0 --cflags --libs` `pkg-config dbus-1 --cflags --libs` -losso
-VERSION = 0.0.10
+VERSION = 0.0.11
 
 all:
 	$(CC) -shared -fPIC -Wl,-soname=libshadowappd.so.0 -o libshadowappd.so.$(VERSION) sappd_init.c sappd_callbacks.c sappd_spawn.c $(LDFLAGS)

=== debian/changelog ===
lessertunjo (0.0.11-5b) unstable; urgency=low

  * oneliner fix to lessertunjo in sappd_deinitialize signal parameters

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri, 26 Aug 2005 13:37:10 +0300

lessertunjo (0.0.11-5) unstable; urgency=medium

  * Modified the service name of startup to _startup instead of .startup.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 13 Jul 2005 15:25:00 +0300

lessertunjo (0.0.11-4) unstable; urgency=medium

  * Modified message 'crashed' to 'game_crashed' and 'not' to 'game_close'
    to be in compliance with the other messages.

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Fri, 20 May 2005 14:28:32 +0200

lessertunjo (0.0.11-3) unstable; urgency=medium

  * _sd_debugprint added back

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 18 May 2005 17:06:00 +0200

lessertunjo (0.0.11-2) unstable; urgency=low

  * updated version info in the makefile

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 17 May 2005 14:38:00 +0200

lessertunjo (0.0.11-1) unstable; urgency=low

  * let the game define its dbus interface

 -- André Moreira Magalhães <andre.magalhaes@indt.org.br>  Tue, 10 May 2005 14:29:03 +0200

=== debian/control ===
Source: lessertunjo
Priority: optional
Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev, dbus-1-dev (>= 0.22), libosso-dev, libgconf2-dev
Standards-Version: 3.6.0

Package: lessertunjo-dev
Section: devel
Architecture: any
Depends: lessertunjo0 (= ${Source-Version}), hildon-libs-dev, libosso-dev, dbus-1-dev (>= 0.22), libgconf2-dev
Conflicts: libshadowapp-dev, libshadowappd-dev, archtunjo (<< 0.0.5)
Provides: libshadowapp-dev, libshadowappd-dev
Description: development libraries for lessertunjo
 The development headers for libshadowapp and for the
 libshadowappd.

Package: lessertunjo0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libshadowapp0, libshadowappd0, archtunjo (<< 0.0.5)
Provides: libshadowapp0, libshadowappd0
Description: D-BUS wrapping library
 Libraries to wrap D-BUS traffic into traffic readable
 by non-glib application. Package includes former
 libshadowapp and libshadowappd packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lessertunjo 0.1.2-3maemo1

=== debian/changelog ===
lessertunjo (0.1.2-3maemo1) unstable; urgency=low

  * Fixing licensing.

 -- Maemo Integration <integration@maemo.org>  Wed,  5 Jul 2006 13:33:03 +0300

lessertunjo (0.1.2-3) unstable; urgency=low

  * Fixed accept() call with invalid socklen.
  * Added copyright information to the package.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu,  4 May 2006 18:42:12 +0200

lessertunjo (0.1.2-2) unstable; urgency=low

  * Added check if context isn't NULL in deinit.
  * Removed obvious double free error.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 24 Apr 2006 11:21:22 +0200

lessertunjo (0.1.2-1) unstable; urgency=low

  * Fixed problem of possible infinite signal loop.
  * Modified Makefile to allow simplier version increments.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 11 Apr 2006 14:45:21 +0200

lessertunjo (0.1.1-1) unstable; urgency=low

  * Depending to D-BUS v0.60.
  * Removed hildon-libs-dev dependency.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Dec 2005 15:55:43 +0200

lessertunjo (0.1.0-1) unstable; urgency=low

  * Ported to D-BUS v0.50.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 24 Nov 2005 16:51:34 +0200

lessertunjo (0.0.11-8) unstable; urgency=low

  * Force restart when play button is pressed.

 -- Cidorvan Leite <cidorvan.leite@indt.org.br>  Thu, 22 Sep 2005 13:26:00 -0300

lessertunjo (0.0.11-7) unstable; urgency=low

  * If trying to run when running, now sends top message.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 18 Aug 2005 13:05:23 +0300

lessertunjo (0.0.11-6) unstable; urgency=medium
 
  * Modified the dbus names to use . and / instead of _.
 
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed, 13 Jul 2005 11:54:28 -0300

## lessertunjo 0.1.2-5

=== Makefile ===
CC = gcc -Wall -O2
LDFLAGS = `pkg-config glib-2.0 --cflags --libs` `pkg-config gconf-2.0 --cflags --libs` `pkg-config dbus-1 --cflags --libs` -losso

MAJOR = 0
MINOR = 1
RELEASE = 2

VERSION = $(MAJOR).$(MINOR).$(RELEASE)

all:
	$(CC) -shared -fPIC -Wl,-soname=libshadowappd.so.$(MAJOR) -o libshadowappd.so.$(VERSION) sappd_init.c sappd_callbacks.c sappd_spawn.c $(LDFLAGS)
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so.0.0
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so.0
	@ln libshadowappd.so.$(VERSION) -s libshadowappd.so
	$(CC) -shared -fPIC -Wl,-soname=libshadowapp.so.$(MAJOR) -o libshadowapp.so.$(VERSION) sapp_init.c sapp_setcb.c sapp_main.c sapp_gconf.c
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so.0.0
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so.0
	@ln libshadowapp.so.$(VERSION) -s libshadowapp.so

clean: 
	rm libshadowappd.so*
	rm libshadowapp.so*

install:
	@echo installing files...
	@install -d -m755 $(DESTDIR)/usr/include
	@install -d -m755 $(DESTDIR)/usr/lib
	@install -m644 shadowapp.h $(DESTDIR)/usr/include/
	@install -m644 shadowappd.h $(DESTDIR)/usr/include/
	@install -m755 libshadowapp.so.$(VERSION) $(DESTDIR)/usr/lib/
	@install -m755 libshadowappd.so.$(VERSION) $(DESTDIR)/usr/lib/
	@echo softlinking shared object...
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so.$(MAJOR).$(MINOR)
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so.$(MAJOR)
	@ln libshadowappd.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowappd.so
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so.$(MAJOR).$(MINOR)
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so.$(MAJOR)
	@ln libshadowapp.so.$(VERSION) -s $(DESTDIR)/usr/lib/libshadowapp.so

=== debian/changelog ===
lessertunjo (0.1.2-5) unstable; urgency=low

  * Corrected update-rc.d double calling.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 28 Jun 2006 13:00:00 +0300

lessertunjo (0.1.2-4) unstable; urgency=low

  * Added #DEBHELPER# to debian/lessertunjo0.post*

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 27 Jun 2006 13:05:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lessertunjo
 Priority: optional
 Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev, dbus-1-dev (>= 0.22), libosso-dev, libgconf2-dev
+Build-Depends: debhelper (>= 4.0.0), libdbus-1-dev (>= 0.60), libosso-dev, libgconf2-dev
 Standards-Version: 3.6.0
 
 Package: lessertunjo-dev
 Section: devel
 Architecture: any
-Depends: lessertunjo0 (= ${Source-Version}), hildon-libs-dev, libosso-dev, dbus-1-dev (>= 0.22), libgconf2-dev
+Depends: lessertunjo0 (= ${Source-Version}), libosso-dev, libdbus-1-dev (>= 0.60), libgconf2-dev
 Conflicts: libshadowapp-dev, libshadowappd-dev, archtunjo (<< 0.0.5)
 Provides: libshadowapp-dev, libshadowappd-dev
 Description: development libraries for lessertunjo

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit
+	dh_installinit -n
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
